{$I main.inc}
program ParseTreeDist;



{%File 'main.inc'}

uses
  Forms,
  sysutils,
  main in 'main.pas',
  simple in 'simple.pas',
  constants in 'constants.pas',
  structures in 'structures.pas',
  log in 'log.pas',
  filereader in 'filereader.pas',
  langres in 'langres.pas',
  hashmap in 'hashmap.pas',
  memorymanager in 'memorymanager.pas',
  tables in 'tables.pas',
  crc32 in 'crc32.pas',
  filediff in 'filediff.pas' {FileDiffForm},
  folderdiff in 'folderdiff.pas' {FolderDiffForm},
  LCS in 'LCS.pas',
  opendir in 'opendir.pas' {OpenDirForm},
  treedist in 'treedist.pas',
  about in 'about.pas' {AboutBox},
  mainframe in 'mainframe.pas' {MainForm},
  grammaredit in 'grammaredit.pas' {GrammarEditForm},
  options in 'options.pas' {OptionsForm},
  tableframe in 'tableframe.pas' {TableForm},
  LALRtable in 'LALRtable.pas' {LALRTableForm},
  DFAtable in 'DFAtable.pas' {DFATableForm},
  logframe in 'logframe.pas' {LogForm},
  langstrings in 'langstrings.pas';

{$R ParseTreeDist.res}
//{$R *.res}

begin
  Application.Initialize;
  Application.Title := 'ParseTreeDist';
  Application.CreateForm(TMainForm, MainForm);
  Application.CreateForm(TOptionsForm, OptionsForm);
  Application.CreateForm(TDFATableForm, DFATableForm);
  Application.CreateForm(TLogForm, LogForm);
  //  Application.CreateForm(TTableForm, TokenTableForm);
  Application.CreateForm(TLALRTableForm, LALRTableForm);
{$IFDEF TESTFORM}
  Application.CreateForm(TTestForm, TestForm);
{$ENDIF}
  Application.CreateForm(TFileDiffForm, FileDiffForm);
  Application.CreateForm(TFolderDiffForm, FolderDiffForm);

//  Application.CreateForm(TOpenDirForm, OpenDirForm);
//  Application.CreateForm(TAboutBox, AboutBox);

//  Application.CreateForm(TGrammarEditForm, GrammarEditForm);
//  MainFrame.MainForm.MinimizeAll1Click(Application);
//  MainFrame.MainForm.ArrangeIcons1Click(Application);
  Application.Run;
end.
